# Terms

The `Terms` object represents the billing terms for a subscription within the Marketplace. This object contains the following fields:

<table><thead><tr><th width="140">Field Name</th><th width="122">Data Type</th><th>Description</th></tr></thead><tbody><tr><td><code>model</code></td><td>string</td><td>The billing model for the subscription. Allowed values are <code>one-time</code>, <code>usage</code>, <code>quantity</code>.</td></tr><tr><td><code>period</code></td><td>string</td><td><p>The billing period applicable to the subscription. Allowed values are:</p><ul><li><code>1m</code> - indicates monthly billing.</li><li><code>1y</code> - indicates annual billing.</li><li><code>one-time</code> - indicates a one-time purchase.</li></ul></td></tr><tr><td><code>commitment</code></td><td>string</td><td><p>The commitment or renewal period for the subscription.</p><ul><li>&#x3C;N>m - N months commitment</li><li>&#x3C;N>y - N years commitment</li></ul></td></tr></tbody></table>

### Example

{% code lineNumbers="true" %}

```json
{
  "model": "quantity",
  "period": "1m",
  "commitment": "1y"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/common-api-objects/terms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
